al_detach_sample_instance(3)

NAME

al_detach_sample_instance - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    bool al_detach_sample_instance(ALLEGRO_SAMPLE_INSTANCE *spl)

DESCRIPTION

Detach the sample instance from whatever it's attached to, if anything.

Returns true on success.

SEE ALSO

al_attach_sample_instance_to_mixer(3), al_attach_sample_instance_to_voice(3), al_get_sample_instance_attached(3)